/**
 * Copyright (c) 2017 TomTom N.V. All rights reserved.
 *
 * This software is the proprietary copyright of TomTom N.V. and its subsidiaries and may be used
 * for internal evaluation purposes or commercial use strictly subject to separate licensee
 * agreement between you and TomTom. If you are the licensee, you are only permitted to use
 * this Software in accordance with the terms of your license agreement. If you are not the
 * licensee then you are not authorised to use this software in any manner and should
 * immediately return it to TomTom N.V.
 */

#import "ETAView.h"

@interface ETAView()

@property (weak, nonatomic) IBOutlet UILabel *etaLabel;
@property (weak, nonatomic) IBOutlet UILabel *kmToDestinationLabel;
@property (weak, nonatomic) IBOutlet UIImageView *icon;
@end

@implementation ETAView

- (instancetype)initWithFrame:(CGRect)frame {
    self = [super initWithFrame:frame];
    if(self) {
        [self setupView];
    }
    return self;
}

- (instancetype)initWithCoder:(NSCoder *)aDecoder {
    self = [super initWithCoder:aDecoder];
    if(self) {
        [self setupView];
    }
    return self;
}

- (void)setupView {
    UIView *view = [[NSBundle mainBundle] loadNibNamed:@"ETAView" owner:self options:nil].firstObject;
    view.frame = self.bounds;
    [self addSubview:view];
}

- (void)updateETA:(NSString*)eta kmToDistance:(NSInteger)km {
    self.etaLabel.text = eta;
    self.kmToDestinationLabel.text = [NSString stringWithFormat:@"%ld km", km];
}

- (void)setPanelIconToArrivalTime {
    self.icon.image = [UIImage imageNamed:@"ArriveAt"];
}

- (void)setPanelIconToDefault {
    self.icon.image = [UIImage imageNamed:@"Destination"];
}

- (void)isIconHidden:(BOOL)isHidden{
    self.icon.hidden = isHidden;
    if(isHidden == YES){
        self.etaLabel.font = [UIFont boldSystemFontOfSize:19];
        self.kmToDestinationLabel.font = [UIFont boldSystemFontOfSize:19];
        [self.etaLabel setTranslatesAutoresizingMaskIntoConstraints:NO];
        CGFloat _leftMargin = 8;
        
        NSLayoutConstraint *left = [NSLayoutConstraint constraintWithItem:self.etaLabel attribute:NSLayoutAttributeLeft relatedBy:NSLayoutRelationEqual toItem:self attribute:NSLayoutAttributeLeft multiplier:1 constant:_leftMargin];
        [self addConstraints:@[left]];
    }
}

@end
