/**
 * Copyright (c) 2017 TomTom N.V. All rights reserved.
 *
 * This software is the proprietary copyright of TomTom N.V. and its subsidiaries and may be used
 * for internal evaluation purposes or commercial use strictly subject to separate licensee
 * agreement between you and TomTom. If you are the licensee, you are only permitted to use
 * this Software in accordance with the terms of your license agreement. If you are not the
 * licensee then you are not authorised to use this software in any manner and should
 * immediately return it to TomTom N.V.
 */

#import "ManeuverIconGenerator.h"

@implementation ManeuverIconGenerator

/**
 This is not accurate implementation of maneuver icon geenration.
 It is only example how this can look like.
 Many of edge cases are not covered here.
 */
+ (UIImage *)imageForInstruction:(TTInstruction *)instruction {
    NSString *direction = nil;
    if([instruction.maneuver containsString:@"TURN"] || [instruction.maneuver containsString:@"SHARP"]) {
        NSArray *myArray = [instruction.maneuver componentsSeparatedByCharactersInSet:[NSCharacterSet characterSetWithCharactersInString:@"_"]];
        direction = [NSString stringWithFormat:@"maneuver_%@_%ld", [myArray.lastObject lowercaseString], labs(instruction.turnAngleInDecimalDegrees.integerValue)];
    } else if([instruction.maneuver containsString:@"ROUNDABOUT"]) {
        direction = [NSString stringWithFormat:@"maneuver_roundabout_right_%@", instruction.turnAngleInDecimalDegrees];
    } else if([instruction.maneuver containsString:@"ENTER"]) {
        direction = @"maneuver_left_45";
    } else if([instruction.maneuver containsString:@"EXIT"]) {
        direction = @"maneuver_right_45";
    } else if([instruction.maneuver containsString:@"ARRIVE"]) {
        direction = @"maneuver_arrival_flag";
    } else {
        direction = @"maneuver_straight";
    }
    return [UIImage imageNamed:direction];
}

@end
