/**
 * Copyright (c) 2017 TomTom N.V. All rights reserved.
 *
 * This software is the proprietary copyright of TomTom N.V. and its subsidiaries and may be used
 * for internal evaluation purposes or commercial use strictly subject to separate licensee
 * agreement between you and TomTom. If you are the licensee, you are only permitted to use
 * this Software in accordance with the terms of your license agreement. If you are not the
 * licensee then you are not authorised to use this software in any manner and should
 * immediately return it to TomTom N.V.
 */

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, MenuSection) {
    MenuSectionMapLayers,
    MenuSectionMapManipulation,
    MenuSectionAnnotation,
    MenuSectionTraffic,
    MenuSectionRoute,
    MenuSectionSearch,
    MenuSectionAbout,
    MenuSectionOtherOptions,
    MenuSectionVersion,
    MenuSectionTotal
};

static NSDictionary *menuSectionAnnotations;

typedef NS_ENUM(NSInteger, MenuItemSectionAnnotation) {
    MenuItemSectionAnnotationMarkers,
    MenuItemSectionAnnotationAdvancedMarkers,
    MenuItemSectionAnnotationBalloons,
    MenuItemSectionAnnotationShapes,
    MenuItemSectionAnnotationMarkersClustering,
    MenuItemSectionAnnotationTotal
};

static NSDictionary *menuSectionDescriptions;

typedef NS_ENUM(NSInteger, MenuItemSectionSearch) {
    MenuItemSectionSearchAddress,
    MenuItemSectionSearchCategory,
    MenuItemSectionSearchLanguage,
    MenuItemSectionSearchAutocomplete,
    MenuItemSectionSearchFuzzy,
    MenuItemSectionSearchReverseGeocoding,
    MenuItemSectionSearchAlongTheRoute,
    MenuItemSectionSearchGeometry,
    MenuItemSectionSearchEntryPoints,
    MenuItemSectionSearchAdditionalData,
    MenuItemSectionSearchBatch,
    MenuItemSectionSearchTotal
};

static NSDictionary *menuSectionRouteDescriptions;
typedef NS_ENUM(NSInteger, MenuItemSectionRoute) {
    MenuItemSectionRouteTravelModes,
    MenuItemSectionRouteRouteTypes,
    MenuItemSectionRouteRouteAvoids,
    MenuItemSectionRouteRouteWithWaypoints,
    MenuItemSectionRouteTimeTravel,
    MenuItemSectionRouteAlternativeRoutes,
    MenuItemSectionRouteManeuverList,
    MenuItemSectionRouteConsumptionModel,
    MenuItemSectionRouteSupportingPoints,
    MenuItemSectionRouteReachableRange,
    MenuItemSectionRouteTotal
};


static NSDictionary *menuSectionSearchDescriptions;

typedef NS_ENUM(NSInteger, MenuItemSectionMapManipulation) {
    MenuItemSectionMapManipulationCenteringTheMap,
    MenuItemSectionMapManipulationMapViewPerspective,
    MenuItemSectionMapManipulationMapEvents,
    MenuItemSectionMapManipulationUIExtension,
    MenuItemSectionMapManipluationTotal
};

static NSDictionary *menuSectionMapManipluationDescriptions;

typedef NS_ENUM(NSInteger, MenuItemSectionMapLayers) {
    MenuItemSectionMapLayersMapTilesLayer,
    MenuItemSectionMapLayersVectorMapAndTraffic,
    MenuItemSectionMapLayersRasterMapAndTraffic,
    MenuItemSectionMapLayersLanguageParameter,
    MenuItemSectionMapLayersGeopoliticalParameter,
    MenuItemSectionMapLayersCustomStyle,
    MenuItemSectionMapLayersStaticImage,
    MenuItemSectionMapLayersTotal
};

static NSDictionary *menuSectionOtherDescriptions;

typedef NS_ENUM(NSInteger, MenuItemSectionOther) {
    MenuItemSectionOtherAbout,
    MenuItemSectionOtherTotal
};

static NSDictionary *menuSectionTrafficDescriptions;

typedef NS_ENUM(NSInteger, MenuItemSectionTraffic) {
    MenuItemSectionTrafficIncidentsList,
    MenuItemSectionTrafficTotal
};


static NSDictionary *menuSectionMapLayersDescriptions;

@class SelectMapViewController;

@interface OptionsViewController : UIViewController

@property (nonatomic, weak) SelectMapViewController *selectMapViewController;

@end
