/**
 * Copyright (c) 2017 TomTom N.V. All rights reserved.
 *
 * This software is the proprietary copyright of TomTom N.V. and its subsidiaries and may be used
 * for internal evaluation purposes or commercial use strictly subject to separate licensee
 * agreement between you and TomTom. If you are the licensee, you are only permitted to use
 * this Software in accordance with the terms of your license agreement. If you are not the
 * licensee then you are not authorised to use this software in any manner and should
 * immediately return it to TomTom N.V.
 */

#import "SearchFieldsViewController.h"
#import "UISearchViewController.h"


@interface SearchFieldsViewController () <UITextFieldDelegate>

@property (nonatomic, strong) TTSearchResult *origin;
@property (nonatomic, strong) TTSearchResult *destination;

@end

@implementation SearchFieldsViewController

-(void)viewDidLoad {
    [super viewDidLoad];
    
    self.textFieldOrigin.delegate = self;
    self.textFieldDestination.delegate = self;
    
    CGRect frame = CGRectMake(0, 0, 30, 30);
    UIImageView *originImage = [[UIImageView alloc] initWithFrame:frame];
    originImage.image = [UIImage imageNamed:@"origin"];
    originImage.contentMode = UIViewContentModeCenter;
    self.textFieldOrigin.leftViewMode = UITextFieldViewModeAlways;
    self.textFieldOrigin.leftView = originImage;
    
    UIImageView *destinationImage = [[UIImageView alloc] initWithFrame:frame];
    destinationImage.image = [UIImage imageNamed:@"destination"];
    destinationImage.contentMode = UIViewContentModeCenter;
    self.textFieldDestination.leftViewMode = UITextFieldViewModeAlways;
    self.textFieldDestination.leftView = destinationImage;
}

#pragma mark UITextFieldDelegate

- (BOOL)textFieldShouldBeginEditing:(UITextField *)textField {
    UISearchViewController *searchViewController = [[UISearchViewController alloc] initWithMode:SearchModeAddress];
    searchViewController.searchResultBlock = ^(TTSearchResult * result){
        if([textField.placeholder isEqual:@"Origin"]) {
            self.origin = result;
        } else {
            self.destination = result;
        }
    };
    [self.navigationController showViewController:searchViewController sender:self];
    return NO;
}

@end
