/**
 * Copyright (c) 2017 TomTom N.V. All rights reserved.
 *
 * This software is the proprietary copyright of TomTom N.V. and its subsidiaries and may be used
 * for internal evaluation purposes or commercial use strictly subject to separate licensee
 * agreement between you and TomTom. If you are the licensee, you are only permitted to use
 * this Software in accordance with the terms of your license agreement. If you are not the
 * licensee then you are not authorised to use this software in any manner and should
 * immediately return it to TomTom N.V.
 */

#import <Foundation/Foundation.h>
#import <TomTomOnlineSDKSearch/TomTomOnlineSDKSearch.h>

@interface SearchViewController : UITableViewController

@property (nonatomic, weak) UISearchBar *searchBar;

@property (nonatomic, strong) NSArray *items;

- (void)performAddressSearchWithQuery:(NSString *)query;

- (void)performAddressSearchWithQuery:(NSString *)query position:(CLLocationCoordinate2D)position;

- (void)performAddressSearchWithQuery:(NSString *)query language:(TTLanguage)language;

- (void)performCategorySearchWithQuery:(NSString *)query;

- (void)performAddressSearchWithQuery:(NSString *)query fuzzyMin:(int)min fuzzyMax:(int)max position:(CLLocationCoordinate2D)position;

- (void)performAutocompleteSearchWithQuery:(NSString *)query;

- (void)cancelSearch;

@end
